petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscPreLoadEnd

End a segment of code that may be preloaded (run twice) to get accurate timings

### Synopsis

    #include <petsclog.h>
    void PetscPreLoadEnd(void);

Not Collective

### Usage

         PetscPreLoadBegin(PETSC_TRUE,"first stage);
           lines of code
           PetscPreLoadStage("second stage");
           lines of code
         PetscPreLoadEnd();

Notes: only works in C/C++ not fortran

### See Also

PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd(), PetscPreLoadBegin(), PetscPreLoadStage()

Level:intermediate
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html